import { Injectable, Inject } from '@angular/core';

import { LogService as UCAPLogService } from '@ucap/logger';

import { _MODULE_CONFIG } from '../config/token';
import { ModuleConfig } from '../config/module-config';

@Injectable({
  providedIn: 'root'
})
export class LogService extends UCAPLogService {
  constructor(@Inject(_MODULE_CONFIG) moduleConfig: ModuleConfig) {
    super(moduleConfig.optionsOrStream);
  }
}
