import { Injectable } from '@angular/core';

import { AuthenticationProtocolService as UcapAuthenticationProtocolService } from '@ucap/protocol-authentication';

import { ProtocolService } from '@ucap/ng-protocol';

@Injectable({
  providedIn: 'root'
})
export class AuthenticationProtocolService extends UcapAuthenticationProtocolService {
  constructor(protocolService: ProtocolService) {
    super(protocolService);
  }
}
