import { Selector, createSelector } from '@ngrx/store';

import { AuthResponse } from '@ucap/protocol-query';

export interface State {
  auth?: AuthResponse;
}

export const initialState: State = {
  auth: null
};

export function selectors<S>(selector: Selector<any, State>) {
  return {
    auth: createSelector(selector, (state: State) => state.auth)
  };
}
