import { combineReducers, Action } from '@ngrx/store';

import { reducer as CommonReducer } from './common/reducers';
import { reducer as LoginReducer } from './login/reducers';
import { reducer as AuthorizationReducer } from './authorization/reducers';

export function reducers(state: any | undefined, action: Action) {
  return combineReducers({
    common: CommonReducer,
    login: LoginReducer,
    authorization: AuthorizationReducer
  })(state, action);
}
