import { NgModule, ModuleWithProviders } from '@angular/core';

import { ModuleConfig } from '@ucap/protocol-ping';

import { _MODULE_CONFIG } from './config/token';

import { PingProtocolService } from './services/ping-protocol.service';

const SERVICES = [PingProtocolService];

@NgModule({})
export class PingProtocolRootModule {}

@NgModule({})
export class PingProtocolModule {
  public static forRoot(
    config: ModuleConfig
  ): ModuleWithProviders<PingProtocolRootModule> {
    return {
      ngModule: PingProtocolRootModule,
      providers: [{ provide: _MODULE_CONFIG, useValue: config }, ...SERVICES]
    };
  }
}
