import { Injectable, Inject } from '@angular/core';

import {
  ModuleConfig,
  ProtocolService as UcapProtocolService
} from '@ucap/protocol';

import { _MODULE_CONFIG } from '../config/token';

@Injectable({
  providedIn: 'root'
})
export class ProtocolService extends UcapProtocolService {
  constructor(@Inject(_MODULE_CONFIG) moduleConfig: ModuleConfig) {
    super(moduleConfig);
  }
}
